YEP Segmented Gauges isn't working?

Discussion in 'Javascript/Plugin Support' started by Almightypebble, Oct 4, 2019.

  1. Almightypebble

    Almightypebble Veteran Veteran

    Messages:
    57
    Likes Received:
    1
    First Language:
    Bulgarian
    Primarily Uses:
    RMMV
    Hey everyone!

    So I seem to have a problem with YEP Segmented Gauges, where it doesn't seem to be working at all.
    All my gauges appear normal with no segments, as if there is no such plugin.
    Is it because I'm running MV 1.6.2 and the plugin is for 1.5.0?
    If that is the case is there another plugin that does the same thing I could use instead?

    Cheers!
     
    #1
  2. standardplayer

    standardplayer Keeper of Kitties Veteran

    Messages:
    410
    Likes Received:
    1,573
    First Language:
    English
    Primarily Uses:
    N/A
    Hit F8 when you when you launch the game, see if there is an error that pops up in the console window.
    Also, show us your plugin list if possible.
    Finally, as far as I know Yanfly's plugins are up to date and working for 1.6.2, if you don't have the latest versions of all of them, you need to get them. In this case, the Core and Segmented Gauges need to of course be up to date.
    Also, you don't Sectioned Gauges enabled, do you? They can't work together
     
    #2
    Almightypebble likes this.
  3. Almightypebble

    Almightypebble Veteran Veteran

    Messages:
    57
    Likes Received:
    1
    First Language:
    Bulgarian
    Primarily Uses:
    RMMV
    Hey, so pressing F8 gives me no errors, I'm not using sectioned gauges and the plugins are updated. This is my plugin list:
    [​IMG]
    I've tried putting the segmented gauges at the very bottom of the plugin list and using it with the Yanfly battle status window instead of the SRD one, but it's all the same. My gauges appear without segments.

    EDIT: So it appears to only work if I disable any battle status customizer, so without YEP or SRD. I don't understand why it doesn't seem to work with the YEP plugin though?

    EDIT2: I also tried turning off every other plugin except for the YEP plugins and it still isn't working.
     
    Last edited: Oct 5, 2019
    #3
  4. standardplayer

    standardplayer Keeper of Kitties Veteran

    Messages:
    410
    Likes Received:
    1,573
    First Language:
    English
    Primarily Uses:
    N/A
    .....Oh my God. Yeah, if you aren't getting an error message, I'd try just using 100 or so less plugins. If you're going to use that many, there's going to be conflicts almost undoubtedly, especially if they aren't all strictly 1 creator.

    I'm not saying you're doomed, but I'm definitely not surprised there's an error.

    Please go onto the YEP website and make sure that your YEP plugins appear EXACTLY in the order they are listed there.
     
    #4
    Almightypebble likes this.
  5. Almightypebble

    Almightypebble Veteran Veteran

    Messages:
    57
    Likes Received:
    1
    First Language:
    Bulgarian
    Primarily Uses:
    RMMV
    Okay so I changed my YEP plugins order exactly as they are in the site, but even if I have ONLY have them ON, if I use the yep battle status customizer the segmented gauges plugin still doesn't work. Every plugin I use that changes the gauges breaks the segmented gauges plugin, so I don't know how else to resolve this. Is there an option in the core engine plugin that doesn't allow the gauges to be changed? Or could it be something from the base rpg_ js files?
     
    #5
  6. standardplayer

    standardplayer Keeper of Kitties Veteran

    Messages:
    410
    Likes Received:
    1,573
    First Language:
    English
    Primarily Uses:
    N/A
    It's likely that both of them are going to overwrite the functionality of the segment/sectioned gauge plugins. Let me ask you this, do the gauges appear correctly in your regular menu screen? Like are they sectioned?
     
    #6
    Almightypebble likes this.
  7. Ossra

    Ossra Formerly Exhydra Veteran

    Messages:
    869
    Likes Received:
    631
    First Language:
    English
    Primarily Uses:
    RMMV
    @Almightypebble Yanfly's plugin is modifying the base DrawGauge function while SRD's Battle Status Customizer uses a custom-made function to draw each gauge. Therefore Yanfly's plugin will never be able to modify SRD's gauges.The sectioned option would have to be added to SRD's plugin.
     
    #7
  8. Almightypebble

    Almightypebble Veteran Veteran

    Messages:
    57
    Likes Received:
    1
    First Language:
    Bulgarian
    Primarily Uses:
    RMMV
    Okay, but as I said, even with ONLY Yanfly's in-battle status plugin, my gauges still don't have the segments from Yanfly's other plugin! So for me it appears that those plugins are INCOMPATIBLE, which seems unlikely so my issue is somwhere else.
     
    #8
  9. standardplayer

    standardplayer Keeper of Kitties Veteran

    Messages:
    410
    Likes Received:
    1,573
    First Language:
    English
    Primarily Uses:
    N/A
    Well what I was saying (and what @Ossra was saying) is that both of them seem to overwrite the gauges. You could apply any script you want that changes the gauges, in almost any situation, they would be overwritten by the YEP or SRD plugins, at least for battle.

    That's why you aren't getting an error. The segmented gauges script is likely working, but being overwritten be the battle status plugins.
    The load order probably doesn't matter in this situation.
     
    #9
    Almightypebble likes this.
  10. Almightypebble

    Almightypebble Veteran Veteran

    Messages:
    57
    Likes Received:
    1
    First Language:
    Bulgarian
    Primarily Uses:
    RMMV
    Oooooooh, okay sorry. I just thought that all of yanfly's plugins are compatible with each other and I have messed something up somewhere. Thanks for the help!
     
    #10

Share This Page